import 'package:shared_preferences/shared_preferences.dart';

import '../../../Helper/Constants/Apiconstants.dart';
import '../../../Model/Response/Partners/Getpartnerinforequest.dart';
import '../../Provider/TenantPartner/Tenantpartnerprovider.dart';

class GetPartnersRepository{
  GetPartnersProvider getPartnersProvider = GetPartnersProvider();

  int tenantId = 0;

  Future<GetPartnersInfo?> getPartners(locationId) async {

    SharedPreferences prefs = await SharedPreferences.getInstance();
    locationId = prefs.getInt('locationId')??0;
    var result = await getPartnersProvider.getPartners("${ApiConstants.getPartnerInfo}?applocationid=$locationId",);
    return result;
  }
}
